Administration of Linux server/client environment
==============

- This repository is related to single-server/client Linux (server) environments.

- This repository, as for now, doesn't contain any advanced set-up & maintenance instructions for multi-client/server environment techniques such as Puppet or SaltStack. For setting up a SaltStack environment, see:

    - [Fincer/salt_testrun](https://www.github.com/Fincer/salt_testrun)
    
    - [Fincer/salt_gisworkstation](https://www.github.com/Fincer/salt_gisworkstation)
    
    - [Fincer/central-management-of-multiple-servers](https://github.com/Fincer/central-management-of-multiple-servers)

- This repository doesn't contain instructions to set up containers, such as [Docker](https://www.docker.com/) or [systemd-nspawn](https://wiki.archlinux.org/index.php/Systemd-nspawn).

- The repository is mainly set up as a requirement by a school cource in Haaga-Helia University of Applied Sciences, Helsinki, Finland.

- The repository contains various exercises, originally presented in Finnish but translated into English due to practical purposes.

- All bourne shell files (sh) presented in this repository may not be directly related to the exercises but they are useful in some situations.

- **NOTE!** Instructions in this repository may not directly apply to your setting. The instructions have not been tested in a production environment, so if you decided to use them in your system configuration, you should apply them with care. I do not take any responsibility in a case of failure or broken system configurations.

---------------------------

## Table of contents

- [Exercise 1 - Installation & getting familiar with a Linux OS](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h1.md)

- [Exercise 2 - Simple log analysis](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h2.md)

- [Exercise 3 - Setting up Apache & PHP environments](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h3.md)

- [Exercise 4 - Apache web development environment configuration for a regular user](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h4.md)

- [Exercise 5 - SSH and Linux system statistics](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h5.md)

- [Exercise 6 - Hello World](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h6.md)

- [Exercise 7 - Laboratory test](https://github.com/Fincer/linux-server-setup/blob/master/exercises/h7.md)

- [Exam structure](https://github.com/Fincer/linux-server-setup/blob/master/exercises/exam.md)
